Loading...
Searching...
No Matches
Discord Message Types

## Variables

const | DiscordRestClient::DMT_CROSSPOSTED = 1 << 0
const | DiscordRestClient::DMT_EPHEMERAL = 1 << 6
| this message is only visible to the user who invoked the Interaction
const | DiscordRestClient::DMT_FAILED_TO_MENTION_SOME_ROLES_IN_THREAD = 1 << 8
| this message failed to mention some roles and add their members to the thread
const | DiscordRestClient::DMT_HAS_THREAD = 1 << 5
| this message has an associated thread, with the same id as the message
const | DiscordRestClient::DMT_IS_CROSSPOST = 1 << 1
| this message originated from a message in another channel (via Channel Following)
const | DiscordRestClient::DMT_IS_VOICE_MESSAGE = 1 << 13
| this message is a voice message
const | DiscordRestClient::DMT_LOADING = 1 << 7
| this message is an Interaction Response and the bot is "thinking"
const | DiscordRestClient::DMT_SOURCE_MESSAGE_DELETED = 1 << 3
| the source message for this crosspost has been deleted (via Channel Following)
const | DiscordRestClient::DMT_SUPPRESS_EMBEDS = 1 << 2
| do not include any embeds when serializing this message
const | DiscordRestClient::DMT_SUPPRESS_NOTIFICATIONS = 1 << 12
| this message will not trigger push and desktop notifications
const | DiscordRestClient::DMT_URGENT = 1 << 4
| this message came from the urgent message system

## Detailed Description

## Variable Documentation

## DMT_CROSSPOSTED

const DiscordRestClient::DMT_CROSSPOSTED = 1 << 0

this message has been published to subscribed channels (via Channel Following)